org.apache.xmlgraphics.io

## Interface TempResourceResolver

-     public interface TempResourceResolver

  Implementations of this interface resolve URIs for temporary files used by XGC. The temporary- resource URI scheme comes from `TempResourceURIGenerator.TMP_SCHEME`.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.io.OutputStream` | `getOutputStream(java.lang.String id)` Gets an temporary-output stream of a given identifier.
    `Resource` | `getResource(java.lang.String id)` Get a temporary-resource given the identifier pointing to said resource.

- - ### Method Detail

    - #### getResource

          Resource getResource(java.lang.String id)
                        throws java.io.IOException

      Get a temporary-resource given the identifier pointing to said resource.
      Parameters:
        `id` - the resource identifier
      Returns:
        the resource
      Throws:
        `java.io.IOException` - if an I/O error occured during resource acquisition

    - #### getOutputStream

          java.io.OutputStream getOutputStream(java.lang.String id)
                                        throws java.io.IOException

      Gets an temporary-output stream of a given identifier.
      Parameters:
        `id` - the output stream identifier
      Returns:
        the output stream
      Throws:
        `java.io.IOException` - if an I/O error occured while creating an output stream

Copyright 1999-2025 The Apache Software Foundation. All Rights Reserved.